#ifndef EXCEPTION_H
#define EXCEPTION_H

#include <string>
#include <iostream>
using namespace std;

///Basic Kodiak exception.
class BasicException : public exception
{
protected:
	string message;
public:
	BasicException( const string& message );
	virtual const char * what(void);
};

///Kodiak File exception.
class FileException : public BasicException
{
public:
	FileException( const string& fileName );
};





#endif